Subject: bug#9406: 24.0.50; Use M-p/M-n to navigate through the kill ring

From: Dani Moncayo <[email-masked]>
Date: Thu, 1 Sep 2011 16:44:29 +0200

> There are many commands that work differently when preceded by another
> key like e.g. `C-u'.  So there is no problem when `M-y' preceded by `C-y'
> works differently.

That is not comparable: C-u is the universal-argument key, and it's
sole purpose in life is to serve as a prefix key to extend the
behavior of the others key sequences.

However C-y is not a prefix key, and the proposed behavior of M-y is
simple, well defined, and doesn't need to be extended by C-y, because
such pretended extension will be already bound to another key (M-p),
which is the natural choice.

With the "bloated" version of M-y, users would not be able to browse
the kill-ring in the minibuffer just after yanking the top entry with
C-y.  And why? Because of an unnecessary complexity in M-y.

Please, let's not make that mistake.

-- 
Dani Moncayo